Try the fastest and simplest way to install ONLYOFFICE

Installing Onlyoffice community server 8.9* on Ubuntu 16.04

Issues during installation and related to database

Installing Onlyoffice community server 8.9* on Ubuntu 16.04

Postby partybob » Tue Aug 23, 2016 8:44 am

Hi!

Im trying to install Onlyoffice community server 8.9.1.191 on Ubuntu Server 16.04 LTS.
Im following the guide provided here http://helpcenter.onlyoffice.com/server ... ation.aspx and everything works fine until i run

sudo apt-get install onlyoffice-communityserver

I specify mysql password 3 times for root user.
Then the installation runs until it fails with this:

Setting up mono-complete (4.4.2.11-0xamarin1) ...
Setting up onlyoffice-communityserver (8.9.1.191) ...
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
ERROR 1067 (42000) at line 2015: Invalid default value for 'creationDate'
dpkg: error processing package onlyoffice-communityserver (--configure):
subprocess installed post-installation script returned error exit status 1
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Processing triggers for systemd (229-4ubuntu7) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for dictionaries-common (1.26.3) ...
aspell-autobuildhash: processing: en [en-common].
aspell-autobuildhash: processing: en [en-variant_0].
aspell-autobuildhash: processing: en [en-variant_1].
aspell-autobuildhash: processing: en [en-variant_2].
aspell-autobuildhash: processing: en [en-w_accents-only].
aspell-autobuildhash: processing: en [en-wo_accents-only].
aspell-autobuildhash: processing: en [en_CA-variant_0].
aspell-autobuildhash: processing: en [en_CA-variant_1].
aspell-autobuildhash: processing: en [en_CA-w_accents-only].
aspell-autobuildhash: processing: en [en_CA-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-ise-w_accents-only].
aspell-autobuildhash: processing: en [en_GB-ise-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-ize-w_accents-only].
aspell-autobuildhash: processing: en [en_GB-ize-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-variant_0].
aspell-autobuildhash: processing: en [en_GB-variant_1].
aspell-autobuildhash: processing: en [en_US-w_accents-only].
aspell-autobuildhash: processing: en [en_US-wo_accents-only].
Processing triggers for libgdk-pixbuf2.0-0:amd64 (2.32.2-1ubuntu1) ...
Errors were encountered while processing:
onlyoffice-communityserver
E: Sub-process /usr/bin/dpkg returned an error code (1)

I removed all traces of the communityserver and mysql and redid the installation and it always fails on the same error. What am i doing wrong? The server is a newly installed
partybob
 
Posts: 2
Joined: Tue Aug 23, 2016 8:39 am

Re: Installing Onlyoffice community server 8.9* on Ubuntu 16

Postby Eugenie » Tue Aug 23, 2016 1:59 pm

Hello,

To avoid the issue, please use Docker installation:
http://helpcenter.onlyoffice.com/server ... index.aspx
Eugenie
 
Posts: 134
Joined: Mon Aug 25, 2014 10:11 am

Re: Installing Onlyoffice community server 8.9* on Ubuntu 16

Postby partybob » Wed Aug 24, 2016 8:16 am

Eugenie wrote:Hello,

To avoid the issue, please use Docker installation:
http://helpcenter.onlyoffice.com/server ... index.aspx


I avoided using the docker version since i have about zero knowledge about docker. But i tired it now and it works.
partybob
 
Posts: 2
Joined: Tue Aug 23, 2016 8:39 am

Re: Installing Onlyoffice community server 8.9* on Ubuntu 16

Postby Sysadmin » Wed Sep 07, 2016 9:00 pm

How do you resolve this??
I have the same problem
Please Help
Sysadmin
 
Posts: 1
Joined: Wed Sep 07, 2016 8:58 pm

Re: Installing Onlyoffice community server 8.9* on Ubuntu 16

Postby stecca » Sat Sep 17, 2016 12:16 pm

Similar issue for me, but the docker install isn't an option as I need to run nginx on a non-standard port. Apache is already being used on ports 80 and 81.

My install output:

Code: Select all
root@localhost:~# apt-get install -f onlyoffice-communityserver
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libevent-pthreads-2.0-5 libjemalloc1 mono-webserver-hyperfastcgi nginx redis-server redis-tools
  ruby-god
Suggested packages:
  ruby-redis
The following NEW packages will be installed:
  libevent-pthreads-2.0-5 libjemalloc1 mono-webserver-hyperfastcgi nginx onlyoffice-communityserver
  redis-server redis-tools ruby-god
0 upgraded, 8 newly installed, 0 to remove and 0 not upgraded.
Need to get 87.2 MB of archives.
After this operation, 299 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://mirrors.linode.com/ubuntu xenial/main amd64 libevent-pthreads-2.0-5 amd64 2.0.21-stable-2 [5,338 B]
Get:2 http://mirrors.linode.com/ubuntu xenial-updates/main amd64 nginx all 1.10.0-0ubuntu0.16.04.2 [3,498 B]
Get:3 http://mirrors.linode.com/ubuntu xenial/universe amd64 libjemalloc1 amd64 3.6.0-9ubuntu1 [78.9 kB]
Get:4 http://mirrors.linode.com/ubuntu xenial/universe amd64 redis-tools amd64 2:3.0.6-1 [95.3 kB]
Get:5 http://mirrors.linode.com/ubuntu xenial/universe amd64 redis-server amd64 2:3.0.6-1 [343 kB]
Get:6 http://mirrors.linode.com/ubuntu xenial/universe amd64 ruby-god amd64 0.13.7-1build2 [45.6 kB]
Get:7 http://download.onlyoffice.com/repo/debian squeeze/main amd64 mono-webserver-hyperfastcgi all 0.4-3 [89.9 kB]
Get:8 http://download.onlyoffice.com/repo/debian squeeze/main amd64 onlyoffice-communityserver all 8.9.1.192 [86.5 MB]
Fetched 87.2 MB in 1s (50.3 MB/s)                     
Preconfiguring packages ...
Selecting previously unselected package libevent-pthreads-2.0-5:amd64.
(Reading database ... 150035 files and directories currently installed.)
Preparing to unpack .../libevent-pthreads-2.0-5_2.0.21-stable-2_amd64.deb ...
Unpacking libevent-pthreads-2.0-5:amd64 (2.0.21-stable-2) ...
Selecting previously unselected package nginx.
Preparing to unpack .../nginx_1.10.0-0ubuntu0.16.04.2_all.deb ...
Unpacking nginx (1.10.0-0ubuntu0.16.04.2) ...
Selecting previously unselected package mono-webserver-hyperfastcgi.
Preparing to unpack .../mono-webserver-hyperfastcgi_0.4-3_all.deb ...
Unpacking mono-webserver-hyperfastcgi (0.4-3) ...
Selecting previously unselected package libjemalloc1.
Preparing to unpack .../libjemalloc1_3.6.0-9ubuntu1_amd64.deb ...
Unpacking libjemalloc1 (3.6.0-9ubuntu1) ...
Selecting previously unselected package redis-tools.
Preparing to unpack .../redis-tools_2%3a3.0.6-1_amd64.deb ...
Unpacking redis-tools (2:3.0.6-1) ...
Selecting previously unselected package redis-server.
Preparing to unpack .../redis-server_2%3a3.0.6-1_amd64.deb ...
Unpacking redis-server (2:3.0.6-1) ...
Selecting previously unselected package ruby-god.
Preparing to unpack .../ruby-god_0.13.7-1build2_amd64.deb ...
Unpacking ruby-god (0.13.7-1build2) ...
Selecting previously unselected package onlyoffice-communityserver.
Preparing to unpack .../onlyoffice-communityserver_8.9.1.192_all.deb ...
Unpacking onlyoffice-communityserver (8.9.1.192) ...
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for systemd (229-4ubuntu8) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up libevent-pthreads-2.0-5:amd64 (2.0.21-stable-2) ...
Setting up nginx (1.10.0-0ubuntu0.16.04.2) ...
Setting up mono-webserver-hyperfastcgi (0.4-3) ...
Setting up libjemalloc1 (3.6.0-9ubuntu1) ...
Setting up redis-tools (2:3.0.6-1) ...
Setting up redis-server (2:3.0.6-1) ...
Setting up ruby-god (0.13.7-1build2) ...
Setting up onlyoffice-communityserver (8.9.1.192) ...
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
mysql: [Warning] Using a password on the command line interface can be insecure.
dpkg: error processing package onlyoffice-communityserver (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Errors were encountered while processing:
 onlyoffice-communityserver
E: Sub-process /usr/bin/dpkg returned an error code (1)
stecca
 
Posts: 1
Joined: Sat Sep 17, 2016 11:58 am

Re: Installing Onlyoffice community server 8.9* on Ubuntu 16

Postby Eugenie » Mon Sep 19, 2016 3:18 pm

Hello,

We cannot garantee a correct work of ONLYOFFICE with Apache, note that we recommend to install ONLYOFFICE on a clean machine. If not, please change ports for Apache (not for ONLYOFFICE).
Eugenie
 
Posts: 134
Joined: Mon Aug 25, 2014 10:11 am


Return to Installation / Database

Who is online

Users browsing this forum: No registered users and 0 guests

cron